Insert a reading into a meter

This EndPoint can be used to insert a reading into a given meter.

Input parameters

ParameterTypeRequiredDescription
idTextYesCode of the asset associated with the meter.

Body parameters

FieldTypeRequiredDescription
dateTextYesDate of reading. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Example:'2016-07-12T20:00:00-03'
valueRealYesReading value
serialTextYesMeter serial (Must be unique)
is_historicalBooleanNoIndicates whether a historical measurement will be inserted or not. The values this field can have are true or false. If no value is entered for this field, the system defaults to false

Output parameters

ParameterTypeDescription
meterTextMeter information:















Parameter

Type of field

Description

counter_offset_value

Integer

Base value

counter_value

Integer

Accumulated value

max_value

Text

Maximum value

min_value

Text

Minimum value

monthly_average_data

Text

Estimated monthly average

last_data

Text

Last reading

ParameterType of fieldDescription
counter_offset_valueIntegerBase value
counter_valueIntegerAccumulated value
max_valueTextMaximum value
min_valueTextMinimum value
monthly_average_dataTextEstimated monthly average
last_dataTextLast reading
tasksTextInformation on the task that was triggered by the reading

Example:

Request: (PUT)https://app.fracttal.com/api/meter_reading/HCY1-P1

{"date":"2016-12-07T20:00:00-03","value":2050, "serial":"112","is_historical":true}
{
  "success": true,
  "message": "200",
  "data": {
    "meter": {
      "counter_offset_value": 2011,
      "counter_value": 4061,
      "max_value": null,
      "min_value": null,
      "monthly_average_data": 62,
      "last_data": {
        "date": "2016-12-07T00:00:00+00:00",
        "value": 2050,
        "accumulated_value": 4061
      }
    },
    "tasks": [
      {
        "task": "TAREA ANUAL DE MANTENIMIENTO"
      }
    ]
  },
  "total": 0
}

Test It

Path Params
string
required
Response

Language
LoadingLoading…